<?php
/**
 * @copyright (c) Kufer Software GmbH, Loisachstrasse 4, D-84453 Mühldorf
 */

namespace Kufer\KuferTools\Mitarbeiter\KursUebersicht\Detailsreiter\Teilnehmer\SammelEMail;

class SendSammelEMailController extends \Kufer\KuferTools\Ausgaben\SammelEMail\AnTeilnehmer\SendSammelEMailController
{
  protected function getUseCase(): \Kufer\KuferTools\Basis\UseCase\UseCase
  {
    return new SendSammelEMailUseCase(
      $this->getRequestObj()
    );
  }

  protected function getNewRequestObj()
  {
    return new SendSammelEMailRequest();
  }

  protected function getRequestObj()
  {
    $request = parent::getRequestObj();
    $request->email_num = \RequestOperations::getVarValue('email_num', '0');

    return $request;
  }
}